Bug 63403 - EDITING: Calc crash when entering single cell matrix formula with ROW() or COLUMN()
Summary: EDITING: Calc crash when entering single cell matrix formula with ROW() or CO...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.6.2 release
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:4.1.0 target:3.6.7 target:4.0.3
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-10 23:21 UTC by Eike Rathke
Modified: 2013-04-12 11:07 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Sum(row()) array test. (9.21 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-04-11 22:38 UTC, m.a.riosv
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eike Rathke 2013-04-10 23:21:54 UTC
Enter =SUM(ROW()) as matrix formula (closing with Shift+Ctrl+Enter) in a single cell, Calc crashes.
Comment 1 Commit Notification 2013-04-10 23:34:55 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7c3ab3bc15cec211767490823539efcada4fe964

resolved fdo#63403 do not create matrix with 0 rows or cols



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2013-04-11 06:24:02 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6328c5b5b06f8c065a014b18f3c86fd8c24b91c2&h=libreoffice-3-6

resolved fdo#63403 do not create matrix with 0 rows or cols


It will be available in LibreOffice 3.6.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2013-04-11 06:31:06 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=92b0c257cbe590d345adbaddbebebe95f977d8d5&h=libreoffice-4-0

resolved fdo#63403 do not create matrix with 0 rows or cols


It will be available in LibreOffice 4.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 m.a.riosv 2013-04-11 22:38:34 UTC
Created attachment 77831 [details]
Sum(row()) array test.

Hi Eike,

seems to work fine in:
Win7x64 Ultimate
Version 4.0.2.2 (Build ID: 4c82dcdd6efcd48b1d8bba66bfe1989deee49c3)
Comment 5 Eike Rathke 2013-04-12 11:07:01 UTC
Well, maybe by accident, it should not ;-)